ANABOX smart
API ReferenceAccountsAccountid

Update fields on an account by ID

Updates specific fields of an existing account identified by its ID.

PATCH
/accounts/{accountId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

accountIdstring

Auth Account ID

language?string|null

Language code

gender?string|null

Gender

email?string

User email address

Formatemail
given_name?string

Given name

family_name?string

Family name

debug?boolean
demo?boolean
notification?

Notification settings object

Response Body

application/json

curl -X PATCH "https://api.memo.wirewire.de/v1/accounts/auth0|60452f4c0dc85b0062326" \  -H "Content-Type: application/json" \  -d '{    "language": "en",    "email": "jane.doe@example.com",    "given_name": "Jane",    "family_name": "Doe",    "notification": {      "email": true,      "push": false    }  }'
{
  "id": "auth0|60452f4c0dc85b0062326",
  "email": "jane.doe@example.com",
  "firstName": "Jane",
  "lastName": "Doe",
  "organizationId": "682fd0d7d4a6325d9d45b86e",
  "roles": [
    "admin",
    "user"
  ],
  "isMfaEnabled": true,
  "createdAt": "2026-05-21T09:30:00.000Z",
  "updatedAt": "2026-05-21T10:15:00.000Z"
}